---
search:
  tags:
    - Relations
    - PUT
seo:
  description: >-
    Add an existing product to an… Reference for the PUT
    /api/v1/{team_slug}/{app_slug}/relations/{relation_id}/{product_id} endpoint
    in the Management API.
sidebar:
  label: Add a product to a relation
  badge: PUT
title: Add a product to a relation
type: openapi-operation
---
Add an existing product to an existing product relation

`PUT /api/v1/{team_slug}/{app_slug}/relations/{relation_id}/{product_id}`

**Responses**

- `200` — Product added to relation successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `422` — Invalid request and not parsable by backend
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "direction": "string",
    "id": "string",
    "primary_product_id": "string",
    "products": [
      {
        "description": "string",
        "id": "string",
        "image_url": "string",
        "product_name": "string",
        "product_number": "string",
        "slug": "string"
      }
    ],
    "title": "string",
    "type": "string",
    "type_id": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
